Control
Control comment deleted
An external comment was deleted from an audit control. Fires once per comment deletion.
This event is delivered only to Audit Partner accounts and is gated by the early-access audit_control_comment_webhook feature — reach out to your Vanta contact to enable it.
The payload contains only identifiers. The deleted comment no longer appears in GET /v1/audits/{auditId}/controls/{controlId}/comments.
POST
/
v1.control.comment.deleted
Control comment deleted
curl --request POST \
--url https://your-endpoint.example.com/v1.control.comment.deleted \
--header 'Content-Type: application/json' \
--data '
{
"control": {
"id": "8f9e0d1c2b3a4f5e6d7c8b9a",
"auditId": "5f8d0f3b9d3f2a1b4c5d6e7f"
},
"comment": {
"id": "6a7b8c9d0e1f2a3b4c5d6e7f"
}
}
'import requests
url = "https://your-endpoint.example.com/v1.control.comment.deleted"
payload = {
"control": {
"id": "8f9e0d1c2b3a4f5e6d7c8b9a",
"auditId": "5f8d0f3b9d3f2a1b4c5d6e7f"
},
"comment": { "id": "6a7b8c9d0e1f2a3b4c5d6e7f" }
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
control: {id: '8f9e0d1c2b3a4f5e6d7c8b9a', auditId: '5f8d0f3b9d3f2a1b4c5d6e7f'},
comment: {id: '6a7b8c9d0e1f2a3b4c5d6e7f'}
})
};
fetch('https://your-endpoint.example.com/v1.control.comment.deleted', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Was this page helpful?
⌘I
Control comment deleted
